--
-- a small house
--

function node_house_ctor (self, ParentRoad)

   self.name = "House"
   self.parent_road = ParentRoad
end

node_house = class (node, node_house_ctor)

function node_house:action (Action)

   local T

   if (not Action) then

      T = "You pull up to a country house. It's familiar. Snow falls all around."

   elseif ("knock" == Action) then

      T = "You knock on the door, not sure what to expect.//"
         .. "The woman who answers is your mother, dead now for only 2 years.//"
         .. "As she embraces you, the tears begin to flow."
      cur_adventure:set_next_node (node_heaven (4))

   elseif ("leave" == Action) then

      T = "You head back to the road, and your heart turns to stone."
      cur_adventure:set_next_node (node_heaven (3))

   end

   return T
end

function node_house:menu ()

   T = "The air is so crisp here, but this house looks so old.//"
      .. "Part of you feels like this place, inexplicably, is home.//"
      .. "And part of you-- the larger part-- feels there's nothing here for you."

   M = {

      { "knock", "Knock on the door" },
      { "leave", "Head back to the road" },
   }

   return T, M
end